queens/pike compute rpcapi version mismatch

Bug #1799113 reported by Sam Morrison on 2018-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Sam Morrison
Queens
High
Sam Morrison
Rocky
High
Sam Morrison

Bug Description

Doing a live upgrade from pike to queens noticed that resizes weren't working.

In queens source it says pike version of the compute rpcapi is 4.18

https://github.com/openstack/nova/blob/eae37a27caa5ca8b0ca50187928bde81f28a24e1/nova/compute/rpcapi.py#L361

Looking at latest stable/pike the latest version there is 4.17

https://github.com/openstack/nova/blob/6ef30d5078595108c1c0f2b5c258ae6ef2db1eeb/nova/compute/rpcapi.py#L330

Fix proposed to branch: master
Review: https://review.openstack.org/612231

Changed in nova:
assignee: nobody → Sam Morrison (sorrison)
status: New → In Progress
Sam Morrison (sorrison) wrote :

This patch needs to be backported to queens

description: updated
melanie witt (melwitt) on 2018-10-22
tags: added: compute upgrade
melanie witt (melwitt) on 2018-10-23
Changed in nova:
importance: Undecided → High

Reviewed: https://review.openstack.org/612231
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=10d64b2c62c54f243e6fb05bc9c7b027d433aae1
Submitter: Zuul
Branch: master

commit 10d64b2c62c54f243e6fb05bc9c7b027d433aae1
Author: Sam Morrison <email address hidden>
Date: Mon Oct 22 15:15:49 2018 +1100

    Fix up compute rpcapi version for pike release

    This was wrongly set to 4.18 when pike only supports 4.17

    Change-Id: Ic16f30a15fe072eb0619e64575897ed69b9eb947
    Closes-Bug: #1799113

Changed in nova:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/612561
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=ad3ed220e53dd7ad1ec7513193004191da99f8df
Submitter: Zuul
Branch: stable/rocky

commit ad3ed220e53dd7ad1ec7513193004191da99f8df
Author: Sam Morrison <email address hidden>
Date: Mon Oct 22 15:15:49 2018 +1100

    Fix up compute rpcapi version for pike release

    This was wrongly set to 4.18 when pike only supports 4.17

    Change-Id: Ic16f30a15fe072eb0619e64575897ed69b9eb947
    Closes-Bug: #1799113
    (cherry picked from commit 10d64b2c62c54f243e6fb05bc9c7b027d433aae1)

Reviewed: https://review.openstack.org/612562
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=4f3610bc755b3e56f0a6dfb63aaf8a7ffd1d4602
Submitter: Zuul
Branch: stable/queens

commit 4f3610bc755b3e56f0a6dfb63aaf8a7ffd1d4602
Author: Sam Morrison <email address hidden>
Date: Mon Oct 22 15:15:49 2018 +1100

    Fix up compute rpcapi version for pike release

    This was wrongly set to 4.18 when pike only supports 4.17

    Change-Id: Ic16f30a15fe072eb0619e64575897ed69b9eb947
    Closes-Bug: #1799113
    (cherry picked from commit 10d64b2c62c54f243e6fb05bc9c7b027d433aae1)

This issue was fixed in the openstack/nova 18.0.3 release.

This issue was fixed in the openstack/nova 17.0.9 release.

This issue was fixed in the openstack/nova 19.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers